## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1
%bcond bootstrap 0

%global debug_package %{nil}

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/rs/zerolog
%global goipath         github.com/rs/zerolog
Version:                1.33.0

%gometa -L

%global common_description %{expand:
The Zerolog package provides a fast and simple logger dedicated to JSON output.

Zerolog's API is designed to provide both a great developer experience and
stunning performance. Its unique chaining API allows zerolog to write JSON (or
CBOR) log events by avoiding allocations and reflection.

Uber's zap library pioneered this approach. Zerolog is taking this concept to
the next level with a simpler to use API and even better performance.}

%global golicenses      LICENSE
%global godocs          README.md README-lint.md README-prettylog.md

Name:           golang-github-rs-zerolog
Release:        %autorelease
Summary:        Zero allocation JSON logger

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

mv cmd/lint/README.md README-lint.md
mv cmd/prettylog/README.md README-prettylog.md

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
# journald test requires journald running
%gocheck -d journald
%endif
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.33.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jul 12 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.33.0-1
- Update to 1.33.0 - Closes rhbz#2283041

* Thu Feb 08 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.32.0-1
- Update to 1.32.0 - Closes rhbz#2262678

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.31.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.31.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Sep 27 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.31.0-1
- Update to 1.31.0 - Closes rhbz#2240826

* Mon Jul 31 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.30.0-1
- Update to 1.30.0 - Closes rhbz#2227567

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.29.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 23 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.29.1-1
- Update to 1.29.1 - Closes rhbz#2094847

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.26.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.26.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Mar 16 2022 Maxwell G <gotmax@e.email> - 1.26.1-2
- Skip 64-bit test on %%%%{arm}.

* Mon Mar 14 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.26.1-1
- Update to 1.26.1 - Closes rhbz#1942757 rhbz#2045612

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 21 12:21:36 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.20.0-1
- Update to 1.20.0
- Close: rhbz#1878907

* Sat Aug 01 23:38:25 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.19.0-1
- Update to 1.19.0

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 02 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.17.2-1
- Update to latest version

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Apr 29 21:59:04 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.14.3-1
- Initial package

## END: Generated by rpmautospec
